## lookup 0.3

=== Makefile ===
#############################################################################
# Makefile for building: lookup
# Generated by qmake (2.01a) (Qt 4.6.3) on: Wed Nov 3 12:27:45 2010
# Project:  lookup.pro
# Template: subdirs
# Command: /usr/bin/qmake-qt4 -spec /usr/lib/qt4/mkspecs/win32-fedora-cross -unix -o Makefile lookup.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake-qt4
DEL_FILE      = rm -f
CHK_DIR_EXISTS= mkdir -p
MKDIR         = 
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -a
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = 
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= mkdir -p
MKDIR         = 
SUBTARGETS    =  \
		sub-src

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/hardaker/src/lookindns/src/src.pro -spec /usr/lib/qt4/mkspecs/win32-fedora-cross -unix -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/hardaker/src/lookindns/src/src.pro -spec /usr/lib/qt4/mkspecs/win32-fedora-cross -unix -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: lookup.pro  /usr/lib/qt4/mkspecs/win32-fedora-cross/qmake.conf /usr/lib/qt4/mkspecs/qconfig.pri \
		/usr/lib/qt4/mkspecs/features/qt_functions.prf \
		/usr/lib/qt4/mkspecs/features/qt_config.prf \
		/usr/lib/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/lib/qt4/mkspecs/features/default_pre.prf \
		/usr/lib/qt4/mkspecs/features/release.prf \
		/usr/lib/qt4/mkspecs/features/debug_and_release.prf \
		/usr/lib/qt4/mkspecs/features/default_post.prf \
		/usr/lib/qt4/mkspecs/features/warn_on.prf \
		/usr/lib/qt4/mkspecs/features/qt.prf \
		/usr/lib/qt4/mkspecs/features/unix/thread.prf \
		/usr/lib/qt4/mkspecs/features/moc.prf \
		/usr/lib/qt4/mkspecs/features/resources.prf \
		/usr/lib/qt4/mkspecs/features/uic.prf \
		/usr/lib/qt4/mkspecs/features/yacc.prf \
		/usr/lib/qt4/mkspecs/features/lex.prf \
		/usr/lib/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -spec /usr/lib/qt4/mkspecs/win32-fedora-cross -unix -o Makefile lookup.pro
/usr/lib/qt4/mkspecs/qconfig.pri:
/usr/lib/qt4/mkspecs/features/qt_functions.prf:
/usr/lib/qt4/mkspecs/features/qt_config.prf:
/usr/lib/qt4/mkspecs/features/exclusive_builds.prf:
/usr/lib/qt4/mkspecs/features/default_pre.prf:
/usr/lib/qt4/mkspecs/features/release.prf:
/usr/lib/qt4/mkspecs/features/debug_and_release.prf:
/usr/lib/qt4/mkspecs/features/default_post.prf:
/usr/lib/qt4/mkspecs/features/warn_on.prf:
/usr/lib/qt4/mkspecs/features/qt.prf:
/usr/lib/qt4/mkspecs/features/unix/thread.prf:
/usr/lib/qt4/mkspecs/features/moc.prf:
/usr/lib/qt4/mkspecs/features/resources.prf:
/usr/lib/qt4/mkspecs/features/uic.prf:
/usr/lib/qt4/mkspecs/features/yacc.prf:
/usr/lib/qt4/mkspecs/features/lex.prf:
/usr/lib/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -spec /usr/lib/qt4/mkspecs/win32-fedora-cross -unix -o Makefile lookup.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

sub-src-sub_Debug: src/$(MAKEFILE)
	cd src/ && $(MAKE) debug
debug: sub-src-sub_Debug

sub-src-sub_Release: src/$(MAKEFILE)
	cd src/ && $(MAKE) release
release: sub-src-sub_Release

sub-src-check: src/$(MAKEFILE)
	cd src/ && $(MAKE) check
check: sub-src-check

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== src/Makefile ===
#############################################################################
# Makefile for building: lookup
# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed Jul 7 10:15:17 2010
# Project:  src.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -spec /usr/lib/qt4/mkspecs/win32-fedora-cross -unix -o Makefile src.pro
#############################################################################

first: debug
install: debug-install
uninstall: debug-uninstall
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake-qt4
DEL_FILE      = rm -f
CHK_DIR_EXISTS= mkdir -p
MKDIR         = 
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -a
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = 
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= mkdir -p
MKDIR         = 
SUBTARGETS    =  \
		debug \
		release

debug: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug
debug-make_default: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug 
debug-make_first: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug first
debug-all: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug all
debug-clean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug clean
debug-distclean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug distclean
debug-install: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug install
debug-uninstall: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug uninstall
release: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release
release-make_default: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release 
release-make_first: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release first
release-all: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release all
release-clean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release clean
release-distclean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release distclean
release-install: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release install
release-uninstall: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release uninstall

Makefile: src.pro  /usr/lib/qt4/mkspecs/win32-fedora-cross/qmake.conf /usr/lib/qt4/mkspecs/qconfig.pri \
		/usr/lib/qt4/mkspecs/features/qt_functions.prf \
		/usr/lib/qt4/mkspecs/features/qt_config.prf \
		/usr/lib/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/lib/qt4/mkspecs/features/default_pre.prf \
		/usr/lib/qt4/mkspecs/features/debug.prf \
		/usr/lib/qt4/mkspecs/features/debug_and_release.prf \
		/usr/lib/qt4/mkspecs/features/default_post.prf \
		/usr/lib/qt4/mkspecs/features/warn_on.prf \
		/usr/lib/qt4/mkspecs/features/qt.prf \
		/usr/lib/qt4/mkspecs/features/unix/thread.prf \
		/usr/lib/qt4/mkspecs/features/moc.prf \
		/usr/lib/qt4/mkspecs/features/resources.prf \
		/usr/lib/qt4/mkspecs/features/uic.prf \
		/usr/lib/qt4/mkspecs/features/yacc.prf \
		/usr/lib/qt4/mkspecs/features/lex.prf
	$(QMAKE) -spec /usr/lib/qt4/mkspecs/win32-fedora-cross -unix -o Makefile src.pro
/usr/lib/qt4/mkspecs/qconfig.pri:
/usr/lib/qt4/mkspecs/features/qt_functions.prf:
/usr/lib/qt4/mkspecs/features/qt_config.prf:
/usr/lib/qt4/mkspecs/features/exclusive_builds.prf:
/usr/lib/qt4/mkspecs/features/default_pre.prf:
/usr/lib/qt4/mkspecs/features/debug.prf:
/usr/lib/qt4/mkspecs/features/debug_and_release.prf:
/usr/lib/qt4/mkspecs/features/default_post.prf:
/usr/lib/qt4/mkspecs/features/warn_on.prf:
/usr/lib/qt4/mkspecs/features/qt.prf:
/usr/lib/qt4/mkspecs/features/unix/thread.prf:
/usr/lib/qt4/mkspecs/features/moc.prf:
/usr/lib/qt4/mkspecs/features/resources.prf:
/usr/lib/qt4/mkspecs/features/uic.prf:
/usr/lib/qt4/mkspecs/features/yacc.prf:
/usr/lib/qt4/mkspecs/features/lex.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -spec /usr/lib/qt4/mkspecs/win32-fedora-cross -unix -o Makefile src.pro

qmake_all: FORCE

make_default: debug-make_default release-make_default FORCE
make_first: debug-make_first release-make_first FORCE
all: debug-all release-all FORCE
clean: debug-clean release-clean FORCE
distclean: debug-distclean release-distclean FORCE
	-$(DEL_FILE) Makefile

debian-all: debian-src debian-bin

debian-src:
	dpkg-buildpackage -S -r -us -uc -d

debian-bin:
	dpkg-buildpackage -b -r -uc -d

install: $(TARGET)
	-$(INSTALL_PROGRAM) $(TARGET) "$(DESTDIR)"/usr/bin/$(QMAKE_TARGET)

compiler_clean:
	-$(DEL_FILE) $(TARGET)

debug-mocclean: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocclean
release-mocclean: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocclean
mocclean: debug-mocclean release-mocclean

debug-mocables: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocables
release-mocables: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocables
mocables: debug-mocables release-mocables
FORCE:

$(MAKEFILE).Debug: Makefile
$(MAKEFILE).Release: Makefile

## lookup 1.0

=== DESCRIPTION ===
Package: lookup
Type: Package
Title: Functions Similar to VLOOKUP in Excel
Version: 1.0
Authors@R: person("Kevin","Wright", email="kw.stat@gmail.com",
                  comment=c(ORCID = "0000-0002-0617-8673"),
                  role=c("aut","cre"))
Description: Simple functions to lookup items in key-value pairs. See  Mehta (2021) <doi:10.1007/978-1-4842-6613-7_6>.
URL: https://kwstat.github.io/lookup/
BugReports: https://github.com/kwstat/lookup/issues
License: MIT + file LICENSE
Language: en-US
Encoding: UTF-8
Suggests: knitr, rmarkdown, testthat (>= 3.0.0)
VignetteBuilder: knitr
Config/testthat/edition: 3
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2021-04-12 18:54:06 UTC; wrightkevi
Author: Kevin Wright [aut, cre] (<https://orcid.org/0000-0002-0617-8673>)
Maintainer: Kevin Wright <kw.stat@gmail.com>
Repository: CRAN
Date/Publication: 2021-04-14 09:20:03 UTC

## lookup 1.1

=== DESCRIPTION ===
Type: Package
Package: lookup
Title: Functions Similar to VLOOKUP in Excel
Version: 1.1
Authors@R: 
    person("Kevin", "Wright", , "kw.stat@gmail.com", role = c("aut", "cre", "cph"),
           comment = c(ORCID = "0000-0002-0617-8673"))
Description: Simple functions to lookup items in key-value pairs. See
    Mehta (2021) <doi:10.1007/978-1-4842-6613-7_6>.
License: MIT + file LICENSE
URL: https://kwstat.github.io/lookup/
BugReports: https://github.com/kwstat/lookup/issues
Suggests: knitr, rmarkdown, testthat (>= 3.0.0)
VignetteBuilder: knitr
Config/testthat/edition: 3
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2025-07-05 16:42:58 UTC; wrightkevi
Author: Kevin Wright [aut, cre, cph] (ORCID:
    <https://orcid.org/0000-0002-0617-8673>)
Maintainer: Kevin Wright <kw.stat@gmail.com>
Repository: CRAN
Date/Publication: 2025-07-05 19:50:03 UTC

## lookup 1.08b

=== Makefile ===
##
## If you have gcc, you should just be able to
##	make
##
## If you know the gcc is version 2, you can get better performance with
##	make gcc=gcc2
##
## If you don't have gcc, specify "gcc=" and tell what CC to use:
##	make gcc= CC=/bin/cc 
##
## You can add
##	warn=1
## to get compiler warnings. There are others as well... see below.
##
CC=gcc
CC_TRAD=$(CC) -traditional

## set to "gcc1", "gcc2" or leave blank
gcc=gcc1

## selecte exactly "0" (no) or "1" (yes) for the following
optimize=0
pedantic=0
kibishii=0
debug=1
warn=0
md=0

#MANPAGE_WIDTH=-r179

##
## If you know your include files (sys/ioctl.h specifically) are ANSIfied,
## you don't need to worry about COMPILE_WITH_TRAD, so you can comment
## it out if that's the case and you don't have a traditional compiler
## around.
##
COMPILE_WITH_TRAD=termset_trad.o

RANLIB=/usr/bin/ranlib

##############################################################################
##############################################################################

##
## in these defines, _* are for when GCC is not used.
##                   gcc1_* for when gcc version 1 used.
##                   gcc2_* for when gcc version 2 used.
##

KIBISHII_1      = -DKIBISHII_DEBUG

gcc1_WARN_1     = -Wall -Wshadow -Wwrite-strings
gcc2_WARN_1     = -Wall -Wshadow -Wwrite-strings -Wno-implicit

## For generic non-GNU compilers. First digit is optimize, 2nd is debug
_OPTIMIZE_1_0     = -O -DFAST_REGEXEC -DNDEBUG
_OPTIMIZE_1_1     = -O -DFAST_REGEXEC
_OPTIMIZE_0_0     = -DFAST_REGEXEC -DNDEBUG
_OPTIMIZE_0_1     = -g

## For GNU Version 1.x compilers. First digit is optimize, 2nd is debug
gcc1_OPTIMIZE_1_0 = -O -g -DFAST_REGEXEC -DNDEBUG
gcc1_OPTIMIZE_1_1 = -O -g -DFAST_REGEXEC
gcc1_OPTIMIZE_0_0 = -DFAST_REGEXEC -DNDEBUG
gcc1_OPTIMIZE_0_1 = -g

## For GNU Version 2.x compilers. First digit is optimize, 2nd is debug
gcc2_OPTIMIZE_1_0 = -O2 -funroll-loops -g -DFAST_REGEXEC -DNDEBUG
gcc2_OPTIMIZE_1_1 = -O2 -g -DFAST_REGEXEC
gcc2_OPTIMIZE_0_0 = -DFAST_REGEXEC -DNDEBUG
gcc2_OPTIMIZE_0_1 = -g

gcc1_PEDANTIC_1   = -pedantic
gcc2_PEDANTIC_1   = -pedantic

gcc2_MD_1         =-MMD

## now use the above

PEDANTIC = $($(gcc)_PEDANTIC_$(pedantic))
WARNINGS = $($(gcc)_WARN_$(warn))
OPTIMIZE = $($(gcc)_OPTIMIZE_$(optimize)_$(debug))
KIBISHII = $(KIBISHII_$(kibishii))
MD       = $($(gcc)_MD_$(md))

OPTIONS=$(PEDANTIC) $(WARNINGS) $(OPTIMIZE) $(MD) $(KIBISHII)

##############################################################################

SHELL=/bin/sh

LOCAL_LIB_SRC=lib
LOCAL_LIB=jefflib.a

#OTHERLIBS=-lmach
LIBS= $(LOCAL_LIB) $(OTHERLIBS)

CFLAGS= $(OPTIONS) $(EXTRA) $(CFLAGS_EXTRA)

objs=lookup.o commands.o apply_regex.o eval.o

#all: _note_ lookup manual
all: lookup


LocalLibObs =       \
    virtfile.o      \
    euc.o           \
    fuzzkana.o      \
    index.o         \
    input.o         \
    jreadline.o     \
    jregex.o        \
    kanaid.o        \
    loadfile.o      \
    output.o        \
    replace.o       \
    romaji2kana.o   \
    std_romaji.o    \
    strsave.o       \
    termset.o       \
    xmalloc.o

$(LOCAL_LIB): $(LocalLibObs) $(COMPILE_WITH_TRAD)
	ar r $@ $?
	-if [ -f $(RANLIB) ]; then ranlib $@; else true; fi

$(COMPILE_WITH_TRAD):
	$(CC_TRAD) -c -o $@ $(CFLAGS) -I$(LOCAL_LIB_SRC)/ $(LOCAL_LIB_SRC)/$*.c

$(LocalLibObs):
	$(CC) -c -o $@ $(CFLAGS) -I$(LOCAL_LIB_SRC)/ $(LOCAL_LIB_SRC)/$*.c

_note_:
	-@echo ' '
	-@echo 'NOTE: "may be used uninitialized" warnings are OK in compile.'
	-@echo ' '

lookup: $(LOCAL_LIB) $(objs) version.c
	## Some systems (DGUX) have SH bugs that cause the link to die.
	## Can be fixed by wrapping in: csh -c "...."
	-@/bin/rm -f lookup.new
	$(CC) $(CFLAGS) -o lookup.new $(objs) version.c $(LIBS)
	/bin/mv -f lookup.new lookup

regextest: $(LOCAL_LIB) regextest.o
	$(CC) -o $@ regextest.o $(LOCAL_LIB)

commands.h: cmds.master
	perl -e 1 && perl cmds.master > temp.h && /bin/mv -f temp.h commands.h

lib/system.h: Makefile
	/bin/rm -f lib/system.h
	echo '/* this file generated by Makefile */'      > tmp;
	-echo '#ifndef __SYSTEM_H__ /*file wrapper*/'    >> tmp;
	-echo '#define __SYSTEM_H__'                     >> tmp;
	if [ -f /usr/include/strings.h ]; then\
		echo '#define _HAVE_STRINGS_H_'          >> tmp; \
	else true; fi
	if [ -f /usr/include/sys/termio.h ]; then\
		echo '#define _HAVE_SYS_TERMIO_H_'       >> tmp; \
	else true; fi
	if [ -f /usr/include/sys/stdtypes.h ]; then\
		echo '#define _HAVE_SYS_STDTYPES_H_'     >> tmp; \
	else true; fi
	if [ -f /usr/include/sys/fcntl.h ]; then\
		echo '#define _HAVE_SYS_FCNTL_H_'        >> tmp; \
	else true; fi
	if [ -f /usr/include/fcntl.h ]; then\
		echo '#define _HAVE_FCNTL_H_'            >> tmp; \
	else true; fi
	-echo '#endif /* file wrapper */'                >> tmp;
	mv tmp lib/system.h

make.sh: realclean
	@echo ':# script to make lookup'                               > tmp
	@echo '## Can set CC= and CFLAGS= on the command line, just as with make' >> tmp
	@echo 'CC="gcc"'                                             >> tmp
	@echo 'CFLAGS="-O -DFAST_REGEXEC -DNDEBUG"'                  >> tmp
	@echo '#####################################################'>> tmp
	@echo 'set -ex'                                              >> tmp
	@echo 'eval $$@'                                             >> tmp
	$(MAKE) --silent -n gcc= CC='[ -s $$@ ]||$$$$CC' CFLAGS='$$$$CFLAGS' >> tmp
	/bin/mv tmp make.sh
	chmod +x make.sh

##
## We use man.tmp so that lookup.man won't be erased if jnroff or jconv
## fails (such as if it's not even found).
##
manual: lookup.man.euc lookup.man.jis lookup.man.sjs

lookup.man.euc: doc/lookup.man doc/*.so
	@echo
	@echo "NOTE : if jnroff isn't found, manuals won't be remade."
	@echo
	cd doc; jnroff $(MANPAGE_WIDTH) -man lookup.man > man.tmp
	mv doc/man.tmp lookup.man.euc

lookup.man.jis: lookup.man.euc
	jconv -ie -oj < lookup.man.euc > man.tmp
	mv man.tmp lookup.man.jis

lookup.man.sjs: lookup.man.euc
	jconv -ie -os < lookup.man.euc > man.tmp
	mv man.tmp lookup.man.sjs

## The following is JIS, but without any highlighting.
lookup.man.raw: lookup.man.jis
	sed -e 's/.//g' < lookup.man.jis > man.tmp
	mv man.tmp lookup.man.raw

tidy:
	-@echo dummy > dummy~
	/bin/rm -f .*~ *~ */*~ core a.out man.tmp doc/*.bak

clean: tidy
	-@echo dummy > dummy.o
	/bin/rm -f \#* *.o *.d doc/#* $(LOCAL_LIB) lib/system.h

realclean: clean
	-@echo dummy > lookup.man.xxx
	/bin/rm -f lookup lookup.man.* commands.h make.sh

##################################################################

apply_regex.o: apply_regex.c lib/config.h lib/output.h lib/assert.h \
 lib/index.h lib/system.h lib/packed_list.h lib/MemItem.h \
 lib/xmalloc.h lib/virtfile.h lib/loadfile.h lib/longlinenote.h \
 lib/jregex.h lib/replace.h lookup.h
commands.o: commands.c lib/system.h lib/config.h lib/assert.h \
 lib/jreadline.h lib/jregex.h lib/loadfile.h lib/longlinenote.h \
 lib/xmalloc.h lib/index.h lib/packed_list.h lib/MemItem.h \
 lib/output.h lib/virtfile.h lib/replace.h lib/strsave.h lib/euc.h \
 lookup.h eval.h commands.h
euc.o: lib/euc.c lib/config.h lib/euc.h
eval.o: eval.c lib/config.h lib/jregex.h lib/output.h lookup.h \
 lib/virtfile.h lib/assert.h eval.h
fuzzkana.o: lib/fuzzkana.c lib/config.h lib/assert.h lib/output.h \
 lib/fuzzkana.h lib/kanaid.h
index.o: lib/index.c lib/config.h lib/system.h lib/assert.h \
 lib/output.h lib/index.h lib/packed_list.h lib/MemItem.h \
 lib/xmalloc.h lib/virtfile.h
input.o: lib/input.c lib/config.h
jreadline.o: lib/jreadline.c lib/config.h lib/assert.h lib/output.h \
 lib/jreadline.h lib/strsave.h lib/input.h lib/xmalloc.h lib/euc.h \
 lib/system.h
jregex.o: lib/jregex.c lib/config.h lib/assert.h lib/jregex.h \
 lib/output.h lib/euc.h
kanaid.o: lib/kanaid.c lib/config.h lib/kanaid.h
loadfile.o: lib/loadfile.c lib/config.h lib/assert.h lib/xmalloc.h \
 lib/strsave.h lib/system.h lib/loadfile.h lib/longlinenote.h \
 lib/index.h lib/packed_list.h lib/MemItem.h lib/output.h \
 lib/virtfile.h
lookup.o: lookup.c lib/config.h lib/assert.h lib/output.h \
 lib/fuzzkana.h lib/loadfile.h lib/longlinenote.h lib/xmalloc.h \
 lib/index.h lib/system.h lib/packed_list.h lib/MemItem.h \
 lib/virtfile.h lib/romaji2kana.h lib/jregex.h lib/strsave.h \
 lib/replace.h lib/input.h lookup.h lib/jreadline.h
output.o: lib/output.c lib/config.h lib/assert.h lib/input.h \
 lib/output.h
replace.o: lib/replace.c lib/config.h lib/assert.h lib/jregex.h \
 lib/xmalloc.h lib/replace.h
romaji2kana.o: lib/romaji2kana.c lib/config.h lib/assert.h \
 lib/romaji2kana.h lib/kanaid.h
std_romaji.o: lib/std_romaji.c lib/config.h lib/system.h \
 lib/romaji2kana.h lib/jreadline.h lib/strsave.h lib/xmalloc.h
strsave.o: lib/strsave.c lib/xmalloc.h lib/strsave.h
termset.o: lib/termset.c lib/config.h lib/system.h
termset_trad.o: lib/termset_trad.c lib/termset.c lib/config.h \
 lib/system.h
version.o: version.c
virtfile.o: lib/virtfile.c lib/config.h lib/output.h lib/xmalloc.h \
 lib/strsave.h lib/virtfile.h
xmalloc.o: lib/xmalloc.c lib/xmalloc.h

=== debian/changelog ===
lookup (1.08b-15) unstable; urgency=medium

  * Fix FTBFS with GCC 15:
    - Avoid naming clashes with C boolean keywords by
      renaming local variables 'true'/'false' to
      'eval_true_value'/'eval_false_value' and updating the
      symbol table. (add patch: gcc15-true-false.patch). Closes: #1097313
    - Silence const warning in lib/virtfile.c by casting the
      read(2) buffer to void*. (add patch: read-const-cast.patch)

 -- Ludovic Drolez <ldrolez@debian.org>  Sun, 28 Sep 2025 12:12:00 +0200

lookup (1.08b-14) unstable; urgency=medium

  * Fixes for GCC-14. Closes: #1075232
  * Added Build path patch. Closes: #1020659

 -- Ludovic Drolez <ldrolez@debian.org>  Mon, 26 Aug 2024 22:13:00 +0200

lookup (1.08b-13.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. Closes: #1007286
  * d/copyright: Convert to machine-readable format.

 -- Bastian Germann <bage@debian.org>  Wed, 21 Feb 2024 14:17:29 +0000

lookup (1.08b-13) unstable; urgency=medium

  * Fix future glibc FTBFS. Closes: #967989
    Patch by Logan Rosen.
  * Fix lookup hard codes locations of libc headers. Closes: #911455
    Patch by Helmut Grohne.

 -- Ludovic Drolez <ldrolez@debian.org>  Thu, 04 Feb 2021 12:26:22 +0100

lookup (1.08b-12) unstable; urgency=low

  * Fix FTCBFS: Let dh_auto_build pass cross compilers to make. 
    Done by Helmut Grohne. Closes: #871408
  * Manual page encoded in UTF-8. Closes: #827334

 -- Ludovic Drolez <ldrolez@debian.org>  Wed, 23 May 2018 19:38:23 +0200

lookup (1.08b-11) unstable; urgency=low

  * renamed the getline() function to mygetline(). Closes: #552827

 -- Ludovic Drolez <ldrolez@debian.org>  Thu, 05 Nov 2009 13:58:49 +0100

lookup (1.08b-10) unstable; urgency=low

  * Fixed a segfault on amd64 thanks to Luc Saillard. Closes: #320722

 -- Ludovic Drolez <ldrolez@debian.org>  Fri, 26 Aug 2005 17:49:41 +0200

lookup (1.08b-9) unstable; urgency=low

  * FTBFS on amd64/gcc-4.0. Patch added. Closes: #284901

 -- Ludovic Drolez <ldrolez@debian.org>  Sat, 18 Dec 2004 13:26:43 +0100

lookup (1.08b-8) unstable; urgency=low

  * termset.c code is not portable. Makes gcc complain on alpha.
    Applied a temporary workaround. Closes: #220303.

 -- Ludovic Drolez <ldrolez@debian.org>  Sat, 20 Dec 2003 23:21:00 +0100

lookup (1.08b-7) unstable; urgency=low

  * build dependency on groff-base added. Closes: #219690
  * errno patch applied. Closes: #219533  

 -- Ludovic Drolez <ldrolez@debian.org>  Sun,  9 Nov 2003 22:09:13 +0100

lookup (1.08b-6) unstable; urgency=low

  * New maintainer. Closes: #192687.
  * now in free, does not depend on non-free packages.
  * updated standards

 -- Ludovic Drolez <ldrolez@debian.org>  Thu, 30 Oct 2003 21:38:39 +0100

lookup (1.08b-5) unstable; urgency=low

  * Allow any architectues. (closes: #123275, #121422)

 -- Hayao Nakahara <nakahara@mis.hiroshima-u.ac.jp>  Tue, 11 Dec 2001 10:56:37 +0900

lookup (1.08b-4) unstable; urgency=low

  * Added Build depends: groff: (closes: #98871)
  * Excluded "alpha" from architectures. (closes: #85829)

 -- Hayao Nakahara <nakahara@debian.org>  Mon, 28 May 2001 23:08:22 +0900

lookup (1.08b-3) unstable; urgency=low

  * clean up debian directory.

 -- Hayao Nakahara <nakahara@debian.org>  Wed, 21 Feb 2001 02:52:59 +0900

lookup (1.08b-2) unstable; urgency=low

  * Fixed Makefile.
  * Standards-Version: 3.2.1.

 -- Hayao Nakahara <nakahara@debian.org>  Wed, 21 Feb 2001 02:11:13 +0900

lookup (1.08b-1) unstable; urgency=low

  * Initial Debian Release.

 -- Hayao Nakahara <nakahara@debian.org>  Tue, 19 Oct 1999 00:24:21 +0900

lookup (1.01-7) frozen-jp unstable-jp; urgency=low

  * changed the directory for dictionaries and index files to
    /var/lib/lookup
  * added lookupconfig.

 -- Hayao Nakahara <nakahara@mis.hiroshima-u.ac.jp>  Thu, 26 Nov 1998 11:34:23 +0900

lookup (1.01-6) frozen-jp unstable-jp; urgency=low

  * moved /usr/man/ja_JP.ujis to /usr/man/ja.

 -- Hayao Nakahara <nakahara@mis.hiroshima-u.ac.jp>  Thu, 18 Jun 1998 04:45:26 +0900

lookup (1.01-5) frozen-jp unstable-jp; urgency=low

  * renamed CHAGNES to changelog.

 -- Hayao Nakahara <nakahara@mis.hiroshima-u.ac.jp>  Wed, 10 Jun 1998 21:45:59 +0900

lookup (1.01-4) contrib; urgency=low

  * moved to text section.
  * fixed bug JP/152.
  * moved /usr/lib/dict to /usr/share/dict.

 -- Hayao Nakahara <nakahara@mis.hiroshima-u.ac.jp>  Thu, 14 May 1998 23:43:46 +0900

lookup (1.01-3.2) unstable; urgency=low

  * fix bugs in lib/jregexp.c

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 19 May 1998 19:53:54 +0900

lookup (1.01-3.1) unstable; urgency=low

  * recompiled with libc6

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 16 May 1998 18:08:50 +0900

lookup (1.01-3) unstable; urgency=low

  * new package format.

 -- Hayao Nakahara <nakahara@mis.hiroshima-u.ac.jp>  Sat, 28 Dec 1996 02:11:25 +0900

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: lookup
Section: text
Priority: optional
Maintainer: Ludovic Drolez <ldrolez@debian.org>
Build-Depends: debhelper (>= 10), groff-base
Standards-Version: 4.5.1

Package: lookup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: edict, kanjidic
Description: interactive utility to search text files quickly
 It provides: Romaji-to-Kana Converter, Fuzzy Searching,
 Search with Regular Expressions, Filtering, Automatic Modifications,
 Smart Word-Preference Mode.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS := -Wall -g -DUSE_VSNPRINTF
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -O0
else
    CFLAGS += -O3
endif

DH_STRIP=dh_strip
ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
    DH_STRIP=true
endif

build-arch: build
build-indep: build

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	dh_auto_build CFLAGS="$(CFLAGS)"
	(cd doc; soelim lookup.man | iconv -feucjp -tutf8) > lookup.man

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -f lookup.man

	# Add here commands to clean up after the build process.
	$(MAKE) clean
	-rm -f lookup

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/lookup.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/lookup

	install -m 755 lookup debian/lookup/usr/bin/lookup
	install -m 755 debian/lookupconfig debian/lookup/usr/sbin/lookupconfig
	install -m 644 lookup.man \
		debian/lookup/usr/share/man/man1/lookup.1
	install -m 644 debian/lookupconfig.man \
		       debian/lookup/usr/share/man/man8/lookupconfig.8
#	install -m 644 CHANGES debian/lookup/usr/share/doc/lookup/changelog

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	$(DH_STRIP)
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
